Index: /branches/1.0/Makefile
===================================================================
--- /branches/1.0/Makefile	(revision 845)
+++ /branches/1.0/Makefile	(revision 846)
@@ -54,8 +54,4 @@
 	sed -e 's/__VERSION__/$(VERSION)/g' -e 's/__RELEASE__/$(RELEASE)/g' ./pkg/rpm/jobmonarch.spec.in > ./pkg/rpm/jobmonarch.spec
 
-debian: pkg/deb/debian
-	rsync -a --exclude=.svn pkg/deb/debian ./
-	sed -i -e 's/^Version:.*$//Version: $(VERSION)-$(RELEASE)/g' ./debian/control
-
 rpm: tarball-bzip
 	rpmbuild -tb ../ganglia_jobmonarch-${VERSION}.tar.bz2
@@ -64,6 +60,7 @@
 	rpmbuild -ts --define '%dist %{nil}' ../ganglia_jobmonarch-${VERSION}.tar.bz2
 
-deb: debian
-	dpkg-buildpackage -b
+deb: ${REQUIRED} ./debian
+	# FIXME set $(VERSION)-$(RELEASE) in ./debian/changelog
+	dpkg-buildpackage -b -uc -us
 
 install:
@@ -197,3 +194,3 @@
 	rm -rf ${TMPDIR}/.monarch_buildroot
 	rm -rf ./pkg/rpm/jobmonarch.spec
-	rm -rf ./debian
+	rm -rf ./debian/{files,*.log,jobmonarch-jobmond/,jobmonarch-jobarchived/,jobmonarch-webfrontend/,tmp/}
Index: /branches/1.0/debian/changelog
===================================================================
--- /branches/1.0/debian/changelog	(revision 846)
+++ /branches/1.0/debian/changelog	(revision 846)
@@ -0,0 +1,5 @@
+jobmonarch (1.0-1) unstable; urgency=low
+
+  * Initial packaging.
+
+ -- Olivier LAHAYE <olivier.lahaye@cea.fr>  Tue, 24 Apr 2013 14:44:18 +0200
Index: /branches/1.0/debian/compat
===================================================================
--- /branches/1.0/debian/compat	(revision 846)
+++ /branches/1.0/debian/compat	(revision 846)
@@ -0,0 +1,1 @@
+8
Index: /branches/1.0/debian/control
===================================================================
--- /branches/1.0/debian/control	(revision 846)
+++ /branches/1.0/debian/control	(revision 846)
@@ -0,0 +1,57 @@
+Source: jobmonarch
+Section: misc
+Priority: optional
+Maintainer: Job Monarch Development team <jobmonarch-developers@lists.sourceforge.net>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.3
+Homepage: https://oss.trac.surfsara.nl/jobmonarch
+
+Package: jobmonarch
+Architecture: all
+Essential: no
+Depends: jobmonarch-webfrontend, jobmonarch-jobmond, jobmonarch-jobarchived
+Description: Tools and addons to Ganglia to monitor and archive batch job info
+ Job Monarch is a set of tools to monitor and optionally archive (batch)job
+ information. It is a addon for the Ganglia monitoring system and plugs into an
+ existing Ganglia setup. jobmond is the job monitoring daemon that gathers
+ PBS/Torque/SGE batch statistics on jobs/nodes and submits them into Ganglia's
+ XML stream. jobarchived is the Job Archiving Daemon. It listens to Ganglia's
+ XML stream and archives the job and node statistics. It stores the job
+ statistics in a Postgres SQL database and the node statistics in RRD
+ files. Through this daemon, users are able to lookup a old/finished job and
+ view all it's statistics. The Job Monarch web frontend interfaces with the
+ jobmond data and (optionally) the jobarchived and presents the data and
+ graphs. It does this in a similar layout/setup as Ganglia itself, so the
+ navigation and usage is intuitive.
+ This package is the meta package that for installation of all jobmonarche components:
+ (jobmonarch-jobarchived - jobmonarch-jobmond - jobmonarch-webfrontend)
+
+Package: jobmonarch-jobmond
+Architecture: all
+Essential: no
+Depends: python, pbs-python, ganglia-monitor
+Description: Job Monitoring Daemon
+ jobmonarch-jobmond is the job monitoring daemon that gathers PBS/Torque/SGE
+ batch statistics on jobs/nodes and submits them into Ganglia's XML stream.
+
+Package: jobmonarch-jobarchived
+Architecture: all
+Essential: no
+Depends: python, gmetad, rrdtool, postgresql, python-psycopg2
+Description: Job Archiving Daemon
+ jobmonach-jobarchived is the Job Archiving Daemon. It listens to Ganglia's
+ XML stream and archives the job and node statistics. It stores the job
+ statistics in a Postgres SQL database and the node statistics in RRD
+ files. Through this daemon, users are able to lookup a old/finished job and
+ view all it's statistics.
+
+Package: jobmonarch-webfrontend
+Architecture: all
+Essential: no
+Depends: php5, php5-gd, rrdtool
+Description: Job MonArch's Web Frontend
+ The Job Monarch web frontend interfaces with the
+ jobmond data and (optionally) the jobarchived and presents the data and
+ graphs. It does this in a similar layout/setup as Ganglia itself, so the
+ navigation and usage is intuitive.
+
Index: /branches/1.0/debian/jobmonarch-jobarchived.docs
===================================================================
--- /branches/1.0/debian/jobmonarch-jobarchived.docs	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobarchived.docs	(revision 846)
@@ -0,0 +1,1 @@
+jobarchived/examples
Index: /branches/1.0/debian/jobmonarch-jobarchived.install
===================================================================
--- /branches/1.0/debian/jobmonarch-jobarchived.install	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobarchived.install	(revision 846)
@@ -0,0 +1,5 @@
+etc/jobarchived.conf
+etc/default/jobarchived
+etc/init.d/jobarchived
+usr/sbin/jobarchived.py
+
Index: /branches/1.0/debian/jobmonarch-jobarchived.links
===================================================================
--- /branches/1.0/debian/jobmonarch-jobarchived.links	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobarchived.links	(revision 846)
@@ -0,0 +1,1 @@
+usr/sbin/jobarchived.py usr/sbin/jobarchived
Index: /branches/1.0/debian/jobmonarch-jobarchived.postinst
===================================================================
--- /branches/1.0/debian/jobmonarch-jobarchived.postinst	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobarchived.postinst	(revision 846)
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+if [ -x /etc/init.d/jobarchived ]
+	then
+
+		update-rc.d -f jobarchived defaults
+fi
+
+echo ""
+echo "Additional manual changes are required to setup jobarchived:"
+echo ""
+echo "1) Edit /etc/jobarchived.conf to reflect your local settings and setup:"
+echo "   - ARCHIVE_DATASOURCES and ARCHIVE_PATH"
+echo ""
+echo "2) Create a 'jobarchive' database and create jobarchived's tables:" 
+echo "   - createdb jobarchive"
+echo "   - psql -f /usr/share/jobarchived/job_dbase.sql jobarchive"
+echo ""
Index: /branches/1.0/debian/jobmonarch-jobarchived.prerm
===================================================================
--- /branches/1.0/debian/jobmonarch-jobarchived.prerm	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobarchived.prerm	(revision 846)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+/etc/init.d/jobarchived stop || true
+update-rc.d -f jobarchived remove || true
+
+exit 0
Index: /branches/1.0/debian/jobmonarch-jobarchived.substvars
===================================================================
--- /branches/1.0/debian/jobmonarch-jobarchived.substvars	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobarchived.substvars	(revision 846)
@@ -0,0 +1,2 @@
+python:Depends=python
+misc:Depends=
Index: /branches/1.0/debian/jobmonarch-jobmond.docs
===================================================================
--- /branches/1.0/debian/jobmonarch-jobmond.docs	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobmond.docs	(revision 846)
@@ -0,0 +1,1 @@
+jobmond/examples
Index: /branches/1.0/debian/jobmonarch-jobmond.install
===================================================================
--- /branches/1.0/debian/jobmonarch-jobmond.install	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobmond.install	(revision 846)
@@ -0,0 +1,4 @@
+etc/jobmond.conf
+etc/default/jobmond
+etc/init.d/jobmond
+usr/sbin/jobmond.py
Index: /branches/1.0/debian/jobmonarch-jobmond.links
===================================================================
--- /branches/1.0/debian/jobmonarch-jobmond.links	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobmond.links	(revision 846)
@@ -0,0 +1,1 @@
+usr/sbin/jobmond.py usr/sbin/jobmond
Index: /branches/1.0/debian/jobmonarch-jobmond.postinst
===================================================================
--- /branches/1.0/debian/jobmonarch-jobmond.postinst	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobmond.postinst	(revision 846)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+if [ -x /etc/init.d/jobmond ] 
+	then
+
+		update-rc.d -f jobmond defaults
+
+fi
+
+/etc/init.d/jobmond restart
Index: /branches/1.0/debian/jobmonarch-jobmond.prerm
===================================================================
--- /branches/1.0/debian/jobmonarch-jobmond.prerm	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobmond.prerm	(revision 846)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+/etc/init.d/jobmond stop || true
+update-rc.d -f jobmond remove || true
Index: /branches/1.0/debian/jobmonarch-jobmond.substvars
===================================================================
--- /branches/1.0/debian/jobmonarch-jobmond.substvars	(revision 846)
+++ /branches/1.0/debian/jobmonarch-jobmond.substvars	(revision 846)
@@ -0,0 +1,2 @@
+python:Depends=python
+misc:Depends=
Index: /branches/1.0/debian/jobmonarch-webfrontend.conffiles
===================================================================
--- /branches/1.0/debian/jobmonarch-webfrontend.conffiles	(revision 846)
+++ /branches/1.0/debian/jobmonarch-webfrontend.conffiles	(revision 846)
@@ -0,0 +1,1 @@
+usr/share/ganglia-webfrontend/addons/job_monarch/conf.php
Index: /branches/1.0/debian/jobmonarch-webfrontend.install
===================================================================
--- /branches/1.0/debian/jobmonarch-webfrontend.install	(revision 846)
+++ /branches/1.0/debian/jobmonarch-webfrontend.install	(revision 846)
@@ -0,0 +1,170 @@
+usr/share/ganglia-webfrontend/templates
+usr/share/ganglia-webfrontend/templates/job_monarch
+usr/share/ganglia-webfrontend/templates/job_monarch/cluster_extra.tpl
+usr/share/ganglia-webfrontend/templates/job_monarch/images
+usr/share/ganglia-webfrontend/templates/job_monarch/images/logo.jpg
+usr/share/ganglia-webfrontend/templates/job_monarch/host_extra.tpl
+usr/share/ganglia-webfrontend/addons
+usr/share/ganglia-webfrontend/addons/job_monarch
+usr/share/ganglia-webfrontend/addons/job_monarch/ajax-loader.gif
+usr/share/ganglia-webfrontend/addons/job_monarch/search.php
+usr/share/ganglia-webfrontend/addons/job_monarch/image.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/dwooAutoload.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/filters
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/filters/html_format.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/helper.array.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/processors
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/processors/pre.smarty_compat.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/forelse.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/capture.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/if.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/elseif.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/block.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/smartyinterface.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/foreachelse.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/loop.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/textformat.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/template.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/withelse.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/with.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/strip.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/for.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/a.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/dynamic.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/else.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/topLevelBlock.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/auto_escape.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/section.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/blocks/foreach.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/cat.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/fetch.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/extendsCheck.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/count_characters.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/regex_replace.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/truncate.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/escape.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/safe.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/replace.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/return.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/math.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/isset.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/strip_tags.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/capitalize.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/dump.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/cycle.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/upper.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/eval.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/mailto.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/counter.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/spacify.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/default.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/optional.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/include.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/eol.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/reverse.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/lower.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/extends.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/wordwrap.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/load_templates.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/count_paragraphs.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/indent.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/assign.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/count_sentences.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/tif.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/nl2br.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/string_format.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/whitespace.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/count_words.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/plugins/builtin/functions/date_format.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/compiled
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/cache
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/IPluginProxy.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Filter.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Compiler.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Compilation
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Compilation/Exception.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Template
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Template/String.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Template/File.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/IDataProvider.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/ICompilable.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Block
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Block/Plugin.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/ICompiler.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/ICompilable
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/ICompilable/Block.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Processor.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Smarty
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Smarty/Adapter.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Exception.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Plugin.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Core.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/ILoader.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Data.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Security
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Security/Policy.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Security/Exception.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/IElseable.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/ITemplate.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Loader.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/README
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/PluginProxy.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/View.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/Dwoo.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/views
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/views/dwoowelcome.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/views/page.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/controllers
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/controllers/dwoowelcome.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/libraries
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/libraries/Dwootemplate.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/README
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/config
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/config/dwootemplate.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CakePHP
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CakePHP/README
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/CakePHP/dwoo.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/README
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/DwooRenderer.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/dwoo_plugins
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/dwoo_plugins/t.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/dwoo_plugins/url.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo.compiled.php
+usr/share/ganglia-webfrontend/addons/job_monarch/dwoo/Dwoo.php
+usr/share/ganglia-webfrontend/addons/job_monarch/next.gif
+usr/share/ganglia-webfrontend/addons/job_monarch/prev.gif
+usr/share/ganglia-webfrontend/addons/job_monarch/ts_validatetime.js
+usr/share/ganglia-webfrontend/addons/job_monarch/jobmonarch.gif
+usr/share/ganglia-webfrontend/addons/job_monarch/templates
+usr/share/ganglia-webfrontend/addons/job_monarch/templates/search.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/templates/footer.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/templates/overview.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/templates/host_view.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/templates/header.tpl
+usr/share/ganglia-webfrontend/addons/job_monarch/conf.php
+usr/share/ganglia-webfrontend/addons/job_monarch/index.php
+usr/share/ganglia-webfrontend/addons/job_monarch/document_archive.jpg
+usr/share/ganglia-webfrontend/addons/job_monarch/host_view.php
+usr/share/ganglia-webfrontend/addons/job_monarch/overview.php
+usr/share/ganglia-webfrontend/addons/job_monarch/graph.php
+usr/share/ganglia-webfrontend/addons/job_monarch/styles.css
+usr/share/ganglia-webfrontend/addons/job_monarch/footer.php
+usr/share/ganglia-webfrontend/addons/job_monarch/logo_ned.gif
+usr/share/ganglia-webfrontend/addons/job_monarch/version.php
+usr/share/ganglia-webfrontend/addons/job_monarch/cal.gif
+usr/share/ganglia-webfrontend/addons/job_monarch/redcross.jpg
+usr/share/ganglia-webfrontend/addons/job_monarch/ts_picker.js
+usr/share/ganglia-webfrontend/addons/job_monarch/clusterconf
+usr/share/ganglia-webfrontend/addons/job_monarch/clusterconf/example.php
+usr/share/ganglia-webfrontend/addons/job_monarch/libtoga.php
+usr/share/ganglia-webfrontend/addons/job_monarch/libtoga.js
Index: /branches/1.0/debian/jobmonarch-webfrontend.postinst
===================================================================
--- /branches/1.0/debian/jobmonarch-webfrontend.postinst	(revision 846)
+++ /branches/1.0/debian/jobmonarch-webfrontend.postinst	(revision 846)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+echo "Make sure to set your Ganglia template to job_monarch now"
+echo "" 
+echo "In your Ganglia conf.php, set this line:"
+echo "$template_name = \"job_monarch\";"
Index: /branches/1.0/debian/jobmonarch-webfrontend.postrm
===================================================================
--- /branches/1.0/debian/jobmonarch-webfrontend.postrm	(revision 846)
+++ /branches/1.0/debian/jobmonarch-webfrontend.postrm	(revision 846)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+echo "Dont forget to set your Ganglia template back to default"
Index: /branches/1.0/debian/jobmonarch-webfrontend.substvars
===================================================================
--- /branches/1.0/debian/jobmonarch-webfrontend.substvars	(revision 846)
+++ /branches/1.0/debian/jobmonarch-webfrontend.substvars	(revision 846)
@@ -0,0 +1,1 @@
+misc:Depends=
Index: /branches/1.0/debian/jobmonarch.docs
===================================================================
--- /branches/1.0/debian/jobmonarch.docs	(revision 846)
+++ /branches/1.0/debian/jobmonarch.docs	(revision 846)
@@ -0,0 +1,7 @@
+AUTHORS
+CHANGELOG
+INSTALL
+LICENSE
+README
+TODO
+UPGRADE
Index: /branches/1.0/debian/jobmonarch.substvars
===================================================================
--- /branches/1.0/debian/jobmonarch.substvars	(revision 846)
+++ /branches/1.0/debian/jobmonarch.substvars	(revision 846)
@@ -0,0 +1,1 @@
+misc:Depends=
Index: /branches/1.0/debian/rules
===================================================================
--- /branches/1.0/debian/rules	(revision 846)
+++ /branches/1.0/debian/rules	(revision 846)
@@ -0,0 +1,7 @@
+#!/usr/bin/make -f
+
+%:
+	dh $@
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr GANGLIA_ROOT=/usr/share/ganglia-webfrontend GANGLIA_USER=ganglia HTTPD_USER=www-data JOBARCHIVE_RRDS=/var/lib/jobarchive