Index: branches/1.0/debian/control
===================================================================
--- branches/1.0/debian/control	(revision 872)
+++ branches/1.0/debian/control	(revision 882)
@@ -7,24 +7,4 @@
 Homepage: https://oss.trac.surfsara.nl/jobmonarch
 
-Package: jobmonarch
-Architecture: all
-Essential: no
-Depends: jobmonarch-webfrontend, jobmonarch-jobmond, jobmonarch-jobarchived
-Description: Tools and addons to Ganglia to monitor and archive batch job info
- Job Monarch is a set of tools to monitor and optionally archive (batch)job
- information. It is a addon for the Ganglia monitoring system and plugs into an
- existing Ganglia setup. jobmond is the job monitoring daemon that gathers
- PBS/Torque/SGE batch statistics on jobs/nodes and submits them into Ganglia's
- XML stream. jobarchived is the Job Archiving Daemon. It listens to Ganglia's
- XML stream and archives the job and node statistics. It stores the job
- statistics in a Postgres SQL database and the node statistics in RRD
- files. Through this daemon, users are able to lookup a old/finished job and
- view all it's statistics. The Job Monarch web frontend interfaces with the
- jobmond data and (optionally) the jobarchived and presents the data and
- graphs. It does this in a similar layout/setup as Ganglia itself, so the
- navigation and usage is intuitive.
- This package is the meta package that for installation of all jobmonarche components:
- (jobmonarch-jobarchived - jobmonarch-jobmond - jobmonarch-webfrontend)
-
 Package: jobmonarch-jobmond
 Architecture: all
@@ -32,4 +12,7 @@
 Depends: ${python:Depends} (>=2.3), pbs-python (>=2.8.2), ganglia-monitor (>=3.0.1)
 Description: Job Monitoring Daemon
+ Job-Monarch is a set of tools to monitor and optionally archive (batch)job
+ information. It is a addon for the Ganglia monitoring system and plugs into an
+ existing Ganglia setup.
  jobmonarch-jobmond is the job monitoring daemon that gathers PBS/Torque/SGE
  batch statistics on jobs/nodes and submits them into Ganglia's XML stream.
@@ -40,4 +23,7 @@
 Depends: ${python:Depends} (>=2.3), gmetad (>=3.0.1) , rrdtool (>=1.0), postgresql (>= 7.0), python-rrdtool, python-psycopg2
 Description: Job Archiving Daemon
+ Job-Monarch is a set of tools to monitor and optionally archive (batch)job
+ information. It is a addon for the Ganglia monitoring system and plugs into an
+ existing Ganglia setup.
  jobmonach-jobarchived is the Job Archiving Daemon. It listens to Ganglia's
  XML stream and archives the job and node statistics. It stores the job
@@ -49,6 +35,9 @@
 Architecture: all
 Essential: no
-Depends: php5, php5-gd (>= 2.0), php-pgsql (>= 4.0.0), php5-mbstring, ganglia-webfrontend (>=3.0.1)
+Depends: php5, php5-gd (>= 2.0), php-pgsql (>= 4.0.0), ganglia-webfrontend (>=3.0.1)
 Description: Job MonArch's Web Frontend
+ Job-Monarch is a set of tools to monitor and optionally archive (batch)job
+ information. It is a addon for the Ganglia monitoring system and plugs into an
+ existing Ganglia setup.
  The Job Monarch web frontend interfaces with the
  jobmond data and (optionally) the jobarchived and presents the data and
Index: branches/1.0/debian/jobmonarch-jobarchived.docs
===================================================================
--- branches/1.0/debian/jobmonarch-jobarchived.docs	(revision 872)
+++ branches/1.0/debian/jobmonarch-jobarchived.docs	(revision 882)
@@ -1,1 +1,8 @@
+AUTHORS
+CHANGELOG
+INSTALL
+LICENSE
+README
+TODO
+UPGRADE
 jobarchived/examples
Index: branches/1.0/debian/jobmonarch-jobmond.docs
===================================================================
--- branches/1.0/debian/jobmonarch-jobmond.docs	(revision 872)
+++ branches/1.0/debian/jobmonarch-jobmond.docs	(revision 882)
@@ -1,1 +1,8 @@
+AUTHORS
+CHANGELOG
+INSTALL
+LICENSE
+README
+TODO
+UPGRADE
 jobmond/examples
Index: branches/1.0/debian/jobmonarch-webfrontend.docs
===================================================================
--- branches/1.0/debian/jobmonarch-webfrontend.docs	(revision 882)
+++ branches/1.0/debian/jobmonarch-webfrontend.docs	(revision 882)
@@ -0,0 +1,7 @@
+AUTHORS
+CHANGELOG
+INSTALL
+LICENSE
+README
+TODO
+UPGRADE
Index: branches/1.0/debian/jobmonarch.docs
===================================================================
--- branches/1.0/debian/jobmonarch.docs	(revision 872)
+++ 	(revision )
@@ -1,7 +1,0 @@
-AUTHORS
-CHANGELOG
-INSTALL
-LICENSE
-README
-TODO
-UPGRADE